pager:
  label: Pager
  namespace: Molecules/Bootstrap
  use: '@molecules/tm-bs/pager/pager.twig'
  description: Simple and functional pager.
  libraries:
    - pager_lib:
        css:
          component:
            ../styles/pager.css: {weight: 10}

  fields:
    current:
      label: Current
      type: text
      preview: 5
    items:
      type: object
      label: Items
      preview:
        first:
          attributes: ''
          href: ?combine=&month=all&page=0
          text: <i class='nav-arrow fas fa-angle-double-left'></i> First
        previous:
          attributes: ''
          href: ?combine=&month=all&page=5
          text: <i class='nav-arrow fas fa-angle-left'></i> Previous
        pages:
          '2':
            href: ?combine=&month=all&page=2
            attributes: ''
          '3':
            href: ?combine=&month=all&page=2
            attributes: ''
          '4':
            href: ?combine=&month=all&page=3
            attributes: ''
          '5':
            href: ?combine=&month=all&page=4
            attributes: ''
          '6':
            href: ?combine=&month=all&page=5
            attributes: ''
          '7':
            href: ?combine=&month=all&page=6
            attributes: ''
          '8':
            href: ?combine=&month=all&page=7
            attributes: ''
          '9':
            href: ?combine=&month=all&page=8
            attributes: ''
          '10':
            href: ?combine=&month=all&page=9
            attributes: ''
          '11':
            href: ?combine=&month=all&page=10
            attributes: ''
        next:
          attributes: ''
          href: ?combine=&month=all&page=7
          text: Next <i class='nav-arrow fas fa-angle-right'></i>
        last:
          attributes: ''
          href: ?combine=&month=all&page=15
          text: Last <i class='nav-arrow fas fa-angle-double-right'></i>


  settings:

    utility_classes:
      type: textfield
      label: Classes

    size:
      type: select
      label: Size
      options:
        sm: Small
        md: Medium
        lg: Large
      preview: large
      default_value: large

    ellipses_previous:
      type: boolean
      label: Ellipses previous
      preview: true
      default_value: true

    ellipses_next:
      type: boolean
      label: Ellipses next
      preview: true
      default_value: true

    alignment:
      type: select
      label: Alignment
      options:
        left: Left
        right: Right
        center: Center
      preview: large
      default_value: large
